plugins {
    `java-gradle-plugin`
    `kotlin-dsl`
}

repositories {
    google()
    jcenter()
    mavenCentral()
}

gradlePlugin {
    plugins {

        register("SmartPosApplicationPlugin") {
            id = "smart-pos-application"
            implementationClass = "plugins.SmartPosApplicationPlugin"
        }

        register("ConsumerApplicationPlugin") {
            id = "consumer-application"
            implementationClass = "plugins.ConsumerApplicationPlugin"
        }

        register("SharedAndroidLibraryPlugin") {
            id = "shared-android-library"
            implementationClass = "plugins.SharedAndroidLibraryPlugin"
        }

        register("SharedKotlinLibraryPlugin") {
            id = "shared-kotlin-library"
            implementationClass = "plugins.SharedKotlinLibraryPlugin"
        }

        register("SharedJavaLibraryPlugin") {
            id = "shared-java-library"
            implementationClass = "plugins.SharedJavaLibraryPlugin"
        }

        register("SharedAndroidDynamicModulePlugin") {
            id = "shared-android-dynamic-module"
            implementationClass = "plugins.SharedAndroidDynamicModulePlugin"
        }

        register("SharedAndroidMPPLibraryPlugin") {
            id = "shared-android-mpp-library"
            implementationClass = "plugins.SharedAndroidMPPLibraryPlugin"
        }
    }
}

object PluginsVersions {
    const val GRADLE_ANDROID = "4.2.0"
    const val KOTLIN = "1.5.21"
    const val GRADLE_SQL_DELIGHT = "1.5.1"
}

dependencies {
    implementation("com.android.tools.build:gradle:${PluginsVersions.GRADLE_ANDROID}")
    implementation("org.jetbrains.kotlin:kotlin-gradle-plugin:${PluginsVersions.KOTLIN}")
    implementation("org.jetbrains.kotlin:kotlin-serialization:${PluginsVersions.KOTLIN}")
    implementation("com.squareup.sqldelight:gradle-plugin:${PluginsVersions.GRADLE_SQL_DELIGHT}")
}