package dependencies

object TekoArtifacts {
    // Teko Authentication Modules
    const val TEKO_AUTH_CORE = "vn.teko.android.auth:auth-core"
    const val TEKO_AUTH_USER = "vn.teko.android.auth:auth-user"
    const val TEKO_AUTH_LOGIN = "vn.teko.android.auth:auth-login"
    const val TEKO_AUTH_LOGIN_UI = "vn.teko.android.auth:login-ui"
    const val TEKO_AUTH_LOGIN_CORE_UI = "vn.teko.android.auth:login-core-ui"
    const val TERRA_AUTH = "vn.teko.android.auth:terra-auth"
    const val TERRA_AUTH_GOOGLE_LOGIN = "vn.teko.android.auth:google-login"
    const val TERRA_AUTH_FACEBOOK_LOGIN = "vn.teko.android.auth:facebook-login"
    const val TERRA_AUTH_KIT = "vn.teko.android.auth:auth-kit"
    const val TERRA_AUTH_JS_BRIDGE = "vn.teko.android.auth:js-bridge"

    // Teko Android Framework Modules
    const val TEKO_AF_DATA = "vn.teko.android.core:data"
    const val TEKO_AF_LOGGING = "vn.teko.android.core:logging"

    const val TEKO_AF_UI = "vn.teko.android.core:ui"
    const val TEKO_AF_UTIL = "vn.teko.android.core:util"
    const val TEKO_AF_UTIL_ANDROID = "vn.teko.android.core:util-android"
    const val TEKO_AF_SKELETON = "vn.teko.android.core:skeleton"
    const val TEKO_AF_BARCODE_UTIL = "vn.teko.android.core:barcode-util"
    const val TEKO_AF_SERVICE = "vn.teko.android.core:service"
    const val TEKO_AF_NOTIFICATION = "vn.teko.android.core:notification"
    const val TEKO_AF_PROCESSOR = "vn.teko.android.core:processor"
    const val TEKO_AF_ANNOTATION = "vn.teko.android.core:annotation"
    const val TEKO_AF_MESSAGING = "vn.teko.android.core:messaging"
    const val TEKO_AF_FRAMEWORK = "vn.teko.android.core:framework"
    const val TEKO_AF_MEDIAVIEWER = "vn.teko.android.core:mediaviewer"
    const val TEKO_AF_TESTUTIL = "vn.teko.android.core:test-util"
    const val TEKO_AF_TESTUTIL_ANDROID = "vn.teko.android.core:test-util-android"

    // Teko Payment SDK Test
    const val TEKO_PAYMENT_CORE = "vn.teko.android.payment:payment-core"
    const val TEKO_PAYMENT_CORE_V2 = "vn.teko.android.payment:payment-core-v2"
    const val TEKO_PAYMENT_UI = "vn.teko.android.payment:payment-ui"
    const val TEKO_PAYMENT_KIT = "vn.teko.android.payment:payment-kit"
    const val TEKO_PAYMENT_METHOD_CASH = "vn.teko.android.payment:method-cash"
    const val TEKO_PAYMENT_METHOD_CTT = "vn.teko.android.payment:method-ctt"
    const val TEKO_PAYMENT_METHOD_ATM = "vn.teko.android.payment:method-atm"
    const val TEKO_PAYMENT_METHOD_VNPAY = "vn.teko.android.payment:method-vnpay"
    const val TEKO_PAYMENT_OBSERVER_FIREBASE = "vn.teko.android.payment:observer-firebase"
    const val TEKO_PAYMENT_OBSERVER_FIREBASE_V2 = "vn.teko.android.payment:observer-firebase-v2"
    const val TEKO_PAYMENT_MANAGER = "vn.teko.android.payment:payment-manager"
    const val TEKO_PAYMENT_MANAGER_V2 = "vn.teko.android.payment:payment-manager-v2"
    const val TEKO_PAYMENT_REACT_NATIVE_BRIDGE =
        "vn.teko.android.payment:payment-react-native-bridge"

    // Teko Payment SDK Production
    const val TEKO_PROD_PAYMENT_CORE = "vn.teko.android.payment:payment-core"
    const val TEKO_PROD_PAYMENT_CORE_V2 = "vn.teko.android.payment:payment-core-v2"
    const val TEKO_PROD_PAYMENT_UI = "vn.teko.android.payment:payment-ui"
    const val TEKO_PROD_PAYMENT_METHOD_CASH = "vn.teko.android.payment:method-cash"
    const val TEKO_PROD_PAYMENT_METHOD_CTT = "vn.teko.android.payment:method-ctt"
    const val TEKO_PROD_PAYMENT_METHOD_ATM = "vn.teko.android.payment:method-atm"
    const val TEKO_PROD_PAYMENT_METHOD_VNPAY = "vn.teko.android.payment:method-vnpay"
    const val TEKO_PROD_PAYMENT_OBSERVER_FIREBASE = "vn.teko.android.payment:observer-firebase"
    const val TEKO_PROD_PAYMENT_OBSERVER_FIREBASE_V2 =
        "vn.teko.android.payment:observer-firebase-v2"
    const val TEKO_PROD_PAYMENT_MANAGER = "vn.teko.android.payment:payment-manager"
    const val TEKO_PROD_PAYMENT_MANAGER_V2 = "vn.teko.android.payment:payment-manager-v2"

    // Teko Tracker
    const val TEKO_TRACKER = "vn.teko.android.tracker:tracker-event-v2"
    const val TEKO_TRACKER_MANAGER = "vn.teko.android.tracker:tracker-manager"
    const val TEKO_TRACKER_CORE = "vn.teko.android.tracker:tracker-core"
    const val TEKO_TRACKER_EVENT = "vn.teko.android.tracker:tracker-event"
    const val TEKO_TRACKER_UTIL = "vn.teko.android.tracker:tracker-util"

    // Terra
    const val TERRA_CORE = "vn.teko.terra:terra-core"
    const val TERRA_CORE_ANDROID = "vn.teko.terra:terra-core-android"
    const val TERRA_JS_BRIDGE = "vn.teko.terra:terra-js-bridge"
    const val TERRA_JS_BRIDGE_CORE = "vn.teko.terra:js-bridge-core"
    const val TERRA_REACT_NATIVE_BRIDGE = "vn.teko.terra:terra-react-native-bridge"

    // Hestia
    const val HESTIA_CORE = "vn.teko.hestia:hestia-core"
    const val HESTIA_ANDROID = "vn.teko.hestia:hestia-android"
    const val TERRA_HESTIA = "vn.teko.hestia:terra-hestia"
    const val HESTIA_ANDROID_WEBAPP = "vn.teko.hestia:hestia-android-webapp"
    const val HESTIA_ANDROID_NATIVE = "vn.teko.hestia:hestia-android-native"
    const val HESTIA_ANDROID_REACT_NATIVE = "vn.teko.hestia:hestia-android-react-native"
    const val HESTIA_ANDROID_REACT_NATIVE_UI_FRAGMENT =
        "vn.teko.hestia:hestia-android-react-native-ui-fragment"
    const val HESTIA_ANDROID_REACT_NATIVE_UI_ACTIVITY =
        "vn.teko.hestia:hestia-android-react-native-ui-activity"
    const val HESTIA_TRACKING_BRIDGE = "vn.teko.hestia:hestia-tracking-bridge"
    const val HESTIA_KIT_CONNECTOR = "vn.teko.hestia:kit-connector"

    // Apollo
    const val TEKO_APOLLO = "vn.teko.apollo:apollo"
    const val TERRA_APOLLO = "vn.teko.apollo:terra-apollo"

    // Cart
    const val TERRA_CART_BUS = "vn.teko.cart:cart-bus"
    const val TERRA_CART_UI = "vn.teko.cart:cart-ui"
    const val TEKO_CART_CORE = "vn.teko.cart:cart-core"

    // Service teko
    const val TERRA_PPM = "vn.teko.terra:service-ppm"
    const val TERRA_PPM_ANDROID = "vn.teko.terra:service-ppm-android"
    const val TERRA_POLICY = "vn.teko.terra:service-policy"
    const val TERRA_POLICY_ANDROID = "vn.teko.terra:service-policy-android"
    const val TERRA_DISCOVERY = "vn.teko.terra:service-discovery"
    const val TERRA_DISCOVERY_ANDROID = "vn.teko.terra:service-discovery-android"
    const val TERRA_USER = "vn.teko.terra:service-user"
    const val TERRA_USER_ANDROID = "vn.teko.terra:service-user-android"
    const val TERRA_DCA = "vn.teko.terra:service-dca"
    const val TERRA_DCA_ANDROID = "vn.teko.terra:service-dca-android"
    const val TERRA_LOCATION = "vn.teko.terra:service-location"
    const val TERRA_LOCATION_ANDROID = "vn.teko.terra:service-location-android"
    const val TERRA_ORDER = "vn.teko.terra:service-order"
    const val TERRA_ORDER_ANDROID = "vn.teko.terra:service-order-android"
    const val TERRA_NOTIFICATION = "vn.teko.terra:service-notification"
    const val TERRA_NOTIFICATION_ANDROID = "vn.teko.terra:service-notification-android"
    const val TERRA_WMS = "vn.teko.terra:service-wms"
    const val TERRA_WMS_ANDROID = "vn.teko.terra:service-wms-android"
    const val TERRA_SELLER = "vn.teko.terra:service-seller"
    const val TERRA_SELLER_ANDROID = "vn.teko.terra:service-seller-android"
    const val TERRA_PVIS = "vn.teko.terra:service-pvis"
    const val TERRA_PVIS_ANDROID = "vn.teko.terra:service-pvis-android"
    const val TERRA_SEARCH = "vn.teko.terra:service-search"
    const val TERRA_SEARCH_ANDROID = "vn.teko.terra:service-search-android"
    const val TERRA_FM = "vn.teko.terra:service-fm"
    const val TERRA_FM_ANDROID = "vn.teko.terra:service-fm-android"
    const val TERRA_TICKET = "vn.teko.terra:service-ticket"
    const val TERRA_TICKET_ANDROID = "vn.teko.terra:service-ticket-android"
    const val TERRA_POS = "vn.teko.terra:service-pos"
    const val TERRA_POS_ANDROID = "vn.teko.terra:service-pos-android"
    const val TERRA_CATALOG = "vn.teko.terra:service-catalog"
    const val TERRA_CATALOG_ANDROID = "vn.teko.terra:service-catalog-android"
    const val TERRA_CART = "vn.teko.terra:service-cart"
    const val TERRA_CART_ANDROID = "vn.teko.terra:service-cart-android"
    const val TERRA_BANK = "vn.teko.terra:service-bank"
    const val TERRA_BANK_ANDROID = "vn.teko.terra:service-bank-android"
    const val TERRA_COV = "vn.teko.terra:service-cov"
    const val TERRA_COV_ANDROID = "vn.teko.terra:service-cov-android"
    const val TERRA_FLAGSUP = "vn.teko.terra:service-flagsup"
    const val TERRA_FLAGSUP_ANDROID = "vn.teko.terra:service-flagsup-android"
    const val TERRA_APPROVAL_ANDROID = "vn.teko.terra:terra-approval-android"

    const val TEKO_DISCOVERY_CORE = "vn.teko.discovery:discovery-core"
    const val TEKO_SEARCH_CORE = "vn.teko.discovery:search-core"
    const val TEKO_POLICY_CORE = "vn.teko.discovery:policy-core"
    const val TEKO_DISCOVERY_EVENT = "vn.teko.discovery:discovery-event"
    const val TEKO_DISCOVERY_CORE_UI = "vn.teko.discovery:core-ui"
    const val TEKO_DISCOVERY_STAFF_UI = "vn.teko.discovery:staff-ui"
    const val TEKO_DISCOVERY_CONSUMER_UI = "vn.teko.discovery:consumer-ui"

    const val TEKO_ORDER_STAFF_UI = "vn.teko.order:order-staff-ui"
    const val TEKO_ORDER_EVENT = "vn.teko.order:order-event"
    const val TEKO_ORDER_CORE_UI = "vn.teko.order:order-core-ui"
    const val TEKO_ORDER_COV_CORE = "vn.teko.order:order-cov-core"
    const val TEKO_ORDER_BFF_CORE = "vn.teko.order:order-bff-core"

    const val TEKO_LOYALTY_CORE = "vn.teko.loyalty:loyalty-core"
    const val TEKO_LOYALTY_MODEL = "vn.teko.loyalty:loyalty-model"
    const val TEKO_LOYALTY_TERRA = "vn.teko.loyalty:terra-loyalty"
    const val TEKO_LOYALTY_CONSUMER_TERRA = "vn.teko.loyalty:terra-loyalty-consumer"
    const val TEKO_LOYALTY_CONSUMER_UI = "vn.teko.loyalty:loyalty-consumer-ui"
    const val TEKO_LOYALTY_COMPONENT = "vn.teko.loyalty:loyalty-component"
    const val TEKO_LOYALTY_STAFF_TERRA = "vn.teko.loyalty:terra-loyalty-staff"
    const val TEKO_LOYALTY_STAFF_UI = "vn.teko.loyalty:loyalty-staff-ui"
    const val TEKO_LOYALTY_KIT = " vn.teko.loyalty:loyalty-kit"

    const val IRIS_CORE = "vn.teko.iris:iris-core"
    const val TERRA_IRIS = "vn.teko.iris:terra-iris"

    const val VNSHOP_SDK = "vn.teko.android:vnshop.app"

    const val FOOTPRINT_DTO = "vn.teko.data.footprint.rpc:javalite"

    fun entry(artifact: String, version: String) = "$artifact:$version"
}