package vn.teko.sandbox.nativetest.ui

import android.graphics.Color
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.navigation.findNavController
import androidx.navigation.ui.setupWithNavController
import com.google.android.material.bottomnavigation.BottomNavigationView
import vn.teko.sandbox.nativetest.R
import vn.teko.sandbox.nativetest.databinding.ActivityTestBinding
import vn.teko.sandbox.nativetest.utils.SharedPreferenceUtils


/**
 * Created by TrungCS on 28/09/2021.
 * Email: trung.cs@teko.vn
 * Company: Teko
 */
class MiniAppShoppingActivity : AppCompatActivity() {

    private lateinit var binding: ActivityTestBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityTestBinding.inflate(layoutInflater)
        setContentView(binding.root)

        val navView: BottomNavigationView = binding.navView
        binding.toolbar.setNavigationIcon(R.drawable.ic_baseline_arrow_back_24)
        binding.toolbar.setTitleTextColor(Color.WHITE)
        binding.toolbar.setNavigationOnClickListener {
            finish()
        }
        binding.toolbar.setTitle(getTitleByScenarios())

        val navController = findNavController(R.id.nav_host_fragment_activity_main2)
        navView.setupWithNavController(navController)
    }

    private fun getTitleByScenarios(): Int {
        return when (SharedPreferenceUtils.getSavedDropdownPosition(this)) {
            SCENARIO_1 -> R.string.title_scenario_1
            SCENARIO_2 -> R.string.title_scenario_2
            else -> R.string.title_scenario_3
        }
    }

    companion object {
        const val SCENARIO_1 = 0
        const val SCENARIO_2 = 1
    }
}