package vn.teko.sandbox.nativetest.ui.home

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import androidx.databinding.DataBindingUtil
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.GridLayoutManager
import vn.teko.sandbox.nativetest.R
import vn.teko.sandbox.nativetest.cart.CartManager
import vn.teko.sandbox.nativetest.databinding.FragmentProductListBinding
import vn.teko.sandbox.nativetest.model.Product
import vn.teko.sandbox.nativetest.utils.ProductFactory

class HomeFragment : Fragment(), ProductListListener {
    private lateinit var viewDataBinding: FragmentProductListBinding
    private var productAdapter = ProductListAdapter(listOf())


    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        viewDataBinding =
            DataBindingUtil.inflate(inflater, R.layout.fragment_product_list, container, false)
        return viewDataBinding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        viewDataBinding.lifecycleOwner = viewLifecycleOwner
        productAdapter.dataSet = ProductFactory.getMockProduct()
        viewDataBinding.rvProductList.layoutManager = GridLayoutManager(context, 2)
        viewDataBinding.rvProductList.adapter = productAdapter
        productAdapter.listener = this
    }

    override fun onProductItemClick(product: Product) {
    }

    override fun onAddProductToCart(product: Product) {
        CartManager.addToCart(product, 1)
        Toast.makeText(requireContext(), R.string.added_to_cart, Toast.LENGTH_SHORT).show()
    }
}

interface ProductListListener {
    fun onProductItemClick(product: Product)

    fun onAddProductToCart(product: Product)
}

